Bug 53582 - Update port: graphics/gd to 2.0.15
Summary: Update port: graphics/gd to 2.0.15
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2003-06-21 13:20 UTC by tkato
Modified: 2003-07-01 23:10 UTC (History)
0 users

See Also:


Attachments
file.diff (94.44 KB, patch)
2003-06-21 13:20 UTC, tkato
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description tkato 2003-06-21 13:20:15 UTC
- Update to version 2.0.15

New file:
files/Makefile.bsd
files/gd2togif.c
files/gd_biggif_out.c
files/gd_gif_in.c
files/gd_gif_out.c
files/gd_lzw_out.c
files/gdcmpgif.c
files/giftogd2.c
files/patch-gd.h
files/patch-gdft.c
files/patch-gdtest.c
files/patch-index.html
scripts/configure

Remove file:
files/patch-ac
files/patch-gdkanji.c
files/patch-gdttf.c
files/patch-gif
Comment 1 Daichi GOTO freebsd_committer 2003-07-01 15:11:35 UTC
State Changed
From-To: open->closed

Committed. Thanks!
Comment 2 Alex Dupre 2003-07-01 15:29:25 UTC
Why have you updated gd from 1.8.4 to 2.0.15 and not gd2 from 2.0.12
to 2.0.15? I think graphics/gd should remain to 1.8.4 release.

-- 
Alex Dupre                             sysadmin@alexdupre.com
http://www.alexdupre.com/              alex@sm.FreeBSD.org

Today's excuse: Party-bug in the Aloha protocol.
Comment 3 daichi 2003-07-01 15:32:03 UTC
> Why have you updated gd from 1.8.4 to 2.0.15 and not gd2 from 2.0.12
> to 2.0.15? I think graphics/gd should remain to 1.8.4 release.

Oh yes. So now I think you are right.
I will work tommorow. Sorry.

--
  Daichi GOTO
Comment 4 tkato 2003-07-01 16:11:54 UTC
On Tue, 1 Jul 2003 23:32:03 +0900
daichi <daichi@ongs.co.jp> wrote:

> > Why have you updated gd from 1.8.4 to 2.0.15 and not gd2 from 2.0.12
> > to 2.0.15? I think graphics/gd should remain to 1.8.4 release.
> 
> Oh yes. So now I think you are right.
> I will work tommorow. Sorry.

Well, I guess the only reason gd-1.8.x port is remaind in
ports tree is gd-2.0.x was unstable developmental version.
At now. gd-2.0.15 is announced as stable release, 
graphics/gd2 port should be retired immidiately and every
ports depending on it have to switch dependency to
graphics/gd.

In addition, most ports actually require gd-1.8.x (or older)
code have already been containing it as internal library.

Furthermore, gd-1.8.x port and gd-2.0.x was not be able to
co-exist safely. If there is still any paticular reason to
remain gd-1.8.x port, we'll have to modify its library name
etc.
Comment 5 Alex Dupre 2003-07-01 23:03:37 UTC
Tuesday, July 1, 2003, 5:11:54 PM, you wrote:

KT> Well, I guess the only reason gd-1.8.x port is remaind in
KT> ports tree is gd-2.0.x was unstable developmental version.

This is quite right, but we have many other similar ports in the tree
and we have both versions.

KT> At now. gd-2.0.15 is announced as stable release, 
KT> graphics/gd2 port should be retired immidiately and every
KT> ports depending on it have to switch dependency to
KT> graphics/gd.

Isn't better to update gd2 and switch port dependencies to it?

KT> Furthermore, gd-1.8.x port and gd-2.0.x was not be able to
KT> co-exist safely. If there is still any paticular reason to
KT> remain gd-1.8.x port, we'll have to modify its library name
KT> etc.

We can simply add a CONFLICT line inside their makefiles.

-- 
Alex Dupre                             sysadmin@alexdupre.com
http://www.alexdupre.com/              alex@sm.FreeBSD.org

Today's excuse: Forced to support NT servers; sysadmins quit.